Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.jboss.shrinkwrap.descriptor.api.webcommon30
Enum DispatcherType

    java.lang.Object
      java.lang.Enum<DispatcherType>
          org.jboss.shrinkwrap.descriptor.api.webcommon30.DispatcherType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<DispatcherType>

    public enum DispatcherType

extends java.lang.Enum<DispatcherType>

This class implements the `dispatcherType` xsd type

Original Documentation:

The dispatcher has five legal values: FORWARD, REQUEST,
INCLUDE, ASYNC, and ERROR.
A value of FORWARD means the Filter will be applied under
RequestDispatcher.forward() calls.
A value of REQUEST means the Filter will be applied under
ordinary client calls to the path or servlet.
A value of INCLUDE means the Filter will be applied under
RequestDispatcher.include() calls.
A value of ASYNC means the Filter will be applied under
calls dispatched from an AsyncContext.
A value of ERROR means the Filter will be applied under the
error page mechanism.
The absence of any dispatcher elements in a filter-mapping
indicates a default of applying filters only under ordinary
client calls to the path or servlet.

Since:
  Generation date :2011-07-19T22:55:02.759+02:00
Author:
  Ralf Battenfeld

Enum Constant Summary
`_ASYNC`
`_ERROR`
`_FORWARD`
`_INCLUDE`
`_REQUEST`

Method Summary
`static DispatcherType` | `getFromStringValue(java.lang.String value)`
`java.lang.String` | `toString()`
`static DispatcherType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static DispatcherType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### _FORWARD

    public static final DispatcherType _FORWARD

### _INCLUDE

    public static final DispatcherType _INCLUDE

### _REQUEST

    public static final DispatcherType _REQUEST

### _ASYNC

    public static final DispatcherType _ASYNC

### _ERROR

    public static final DispatcherType _ERROR

Method Detail

### values

    public static DispatcherType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (DispatcherType c : DispatcherType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static DispatcherType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Enum<DispatcherType>`

### getFromStringValue

    public static DispatcherType getFromStringValue(java.lang.String value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD